Bug 961476 - Override xalan and serializer with jar files from the EAP alpha release
Override xalan and serializer with jar files from the EAP alpha release
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: DR4
: 6.0.0
Assigned To: Nick Cross
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 13:09 EDT by kconner
Modified: 2015-08-02 19:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: In the EAP beta release, the versions of Xalan and the Serializer are not compatible with the SwitchYard transformation. Consequence: Workaround: Override Xalan and Serializer with jar files from the EAP alpha release. Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kconner 2013-05-09 13:09:57 EDT
There is an incompatibility between SY transformations and the version of xalan/serializer now present in the EAP beta release (BZ 960890).

We need to revert the xalan/serializer versions back to those present in the alpha release, using the soa module override, as a workaround until this can be addressed.
Comment 1 kconner 2013-05-09 13:10:42 EDT
EAP 6.1 Alpha:
xalan-2.7.1.jbossorg-1.jar
serializer-2.7.1.jbossorg-1.jar
Comment 2 Nick Cross 2013-05-10 09:03:05 EDT
Module override applied in DR4
Comment 3 Jiri Sedlacek 2013-05-14 09:30:07 EDT
verified in DR4.

Note You need to log in before you can comment on or make changes to this bug.